Name: kdemultimedia4
Summary: K Desktop Environment
Version: 4.0.3
Group: Graphical desktop/KDE
Epoch: 3
License: GPL
URL: http://www.kde.org
Release: %mkrel 1
Source:	ftp://ftp.kde.org/pub/kde/stable/%version/src/kdemultimedia-%version.tar.bz2
Buildroot:	%_tmppath/%name-%version-%release-root
BuildRequires: kdelibs4-devel
BuildRequires: kdebase4-devel
BuildRequires: kdebase4-workspace-devel
BuildRequires: cdparanoia 
BuildRequires: musicbrainz-devel
BuildRequires: mad-devel 
BuildRequires: oggvorbis-devel
BuildRequires: libxine-devel >= 1.1.9 
BuildRequires: libtunepimp-devel 
BuildRequires: libtheora-devel
BuildRequires: libcdda-devel
BuildRequires: libspeex-devel
BuildRequires: libsamplerate-devel
BuildRequires: X11-devel
BuildRequires: libfreebob-devel
BuildRequires: alsa-lib-devel
BuildRequires: libgstreamer-plugins-base-devel
BuildRequires: libxcb-devel
BuildRequires: libtaglib-devel
Requires: kde4-juk
Requires: kde4-kmix
Requires: kde4-kscd
Obsoletes: kde4-noatun <  3:3.94.0-0.726889.1
Obsoletes: %{_lib}noatun5 < 3:3.94.0-0.726889.1

%description
%{name} metapackage.

%files
%defattr(-,root,root,-)
%doc README

#----------------------------------------------------------------------

%package   core
Summary:   %name core files
Group:     Graphical desktop/KDE
Requires:  kdelibs4-core
Conflicts: oxygen-icon-theme <= 1:3.94.0-0.726654.2

%description core
Core files for %{name}.

%files core
%defattr(-,root,root)
%_kde_iconsdir/*/*/*/*
%_kde_appsdir/kconf_update/*

#----------------------------------------------------------------------

%package -n kde4-juk
Summary:   %{name} juk
Group:     Graphical desktop/KDE
Requires:  %name-core = %epoch:%version
Obsoletes: %name-juk < 3:3.93.0-0.714637.1

%description -n kde4-juk
%{name} juk.

%files -n kde4-juk
%defattr(-,root,root)
%_kde_appsdir/juk
%_kde_bindir/juk
%_kde_datadir/applications/kde4/juk.desktop
%_kde_datadir/kde4/services/ServiceMenus/jukservicemenu.desktop
%_datadir/dbus-1/interfaces/org.kde.juk.collection.xml
%_datadir/dbus-1/interfaces/org.kde.juk.player.xml
%_datadir/dbus-1/interfaces/org.kde.juk.search.xml
%_kde_docdir/HTML/*/juk

#---------------------------------------------

%package -n kde4-audiocd
Summary: %{name} audiocd
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version
Obsoletes: %name-audiocd < 3:3.93.0-0.714637.1

%description -n kde4-audiocd
%{name} audiocd.

%files -n kde4-audiocd
%defattr(-,root,root)
%_kde_libdir/kde4/kcm_audiocd.so
%_kde_libdir/kde4/kio_audiocd.so
%_kde_libdir/kde4/libaudiocd_*
%_kde_datadir/config.kcfg/audiocd_*
%_kde_datadir/kde4/services/audiocd.desktop
%_kde_datadir/kde4/services/audiocd.protocol
%_kde_datadir/kde4/services/ServiceMenus/audiocd_play.desktop

#---------------------------------------------

%define libaudiocdplugins %mklibname %audiocdplugins_major
%define  audiocdplugins_major 4

%package -n %libaudiocdplugins
Summary:    KDE 4 library
Group:      System/Libraries
Obsoletes:  %{_lib}audiocdplugins1 < 3:4.0.0-1

%description -n %libaudiocdplugins
KDE 4 library

%post -n %libaudiocdplugins -p /sbin/ldconfig
%postun -n %libaudiocdplugins -p /sbin/ldconfig

%files -n %libaudiocdplugins
%defattr(-,root,root)
%_kde_libdir/libaudiocdplugins.so.*

#---------------------------------------------

%package -n kde4-kmix
Summary: %{name} kmix
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version
Obsoletes: %name-kmix < 3:3.93.0-0.714637.1

%description -n kde4-kmix
%{name} kmix.

%files -n kde4-kmix
%defattr(-,root,root)
%_kde_appsdir/kmix
%_kde_bindir/kmix
%_kde_bindir/kmixctrl
%_kde_datadir/applications/kde4/kmix.desktop
%_kde_datadir/autostart/restore_kmix_volumes.desktop
%_kde_datadir/kde4/services/kmixctrl_restore.desktop
%_kde_libdir/libkdeinit4_kmix*
%_datadir/dbus-1/interfaces/org.kde.KMix.xml
%_kde_docdir/HTML/*/kmix

#---------------------------------------------

%package -n kde4-kscd
Summary: %{name} kscd
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version
Obsoletes: %name-kscd < 3:3.93.0-0.714637.1

%description -n kde4-kscd
%{name} kscd.

%files -n kde4-kscd
%defattr(-,root,root)
%_kde_appsdir/profiles
%_kde_bindir/kscd
%_kde_bindir/workman2cddb.pl
%_kde_datadir/applications/kde4/kscd.desktop
%_kde_datadir/config.kcfg/kscd.kcfg
%_kde_docdir/HTML/*/kscd

#---------------------------------------------

%define libkcddb %mklibname kcddb %kcddb_major
%define  kcddb_major 4

%package -n %libkcddb
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkcddb
KDE 4 library

%post -n %libkcddb -p /sbin/ldconfig
%postun -n %libkcddb -p /sbin/ldconfig

%files -n %libkcddb
%defattr(-,root,root)
%_kde_libdir/libkcddb.so.%{kcddb_major}*
%_kde_libdir/kde4/kcm_cddb.so
%_kde_datadir/config.kcfg/libkcddb.kcfg
%_kde_datadir/kde4/services/libkcddb.desktop

#---------------------------------------------

%define libkcompactdisc %mklibname kcompactdisc %kcompactdisc_major
%define kcompactdisc_major 4

%package -n %libkcompactdisc
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkcompactdisc
KDE 4 library

%post -n %libkcompactdisc -p /sbin/ldconfig
%postun -n %libkcompactdisc -p /sbin/ldconfig

%files -n %libkcompactdisc
%defattr(-,root,root)
%_kde_libdir/libkcompactdisc.so.%{kcompactdisc_major}*

#---------------------------------------------

%package devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Requires: kde4-macros
Requires: kdelibs4-devel
Requires: %libaudiocdplugins = %epoch:%version
Requires: %libkcddb = %epoch:%version
Requires: %libkcompactdisc = %epoch:%version
Requires: kdemultimedia4

%description  devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%defattr(-,root,root)
%_kde_libdir/libaudiocdplugins.so
%_kde_libdir/libkcddb.so
%_kde_libdir/libkcompactdisc.so
%_kde_includedir/*

#----------------------------------------------------------------------

%prep
%setup -q -n kdemultimedia-%version

%build
export CFLAGS="${CFLAGS} -DOCAMLIB=%_libdir/ocaml"
export CPPFLAGS="${CPPFLAGS} -DOCAMLIB=%_libdir/ocaml"

%cmake_kde4 

%make

%install
rm -fr %buildroot
cd build

make DESTDIR=%buildroot install

# fwang: it conflicts with oxygen-icon-theme (see kde bug#151419)
rm -f %buildroot/%_kde_iconsdir/oxygen/22x22/actions/kscd-dock.png

%clean
rm -fr %buildroot



%changelog
* Fri Mar 28 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.3-1mdv2008.1
+ Revision: 191004
- Update for last stable release 4.0.3

* Sat Mar 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:4.0.2-2mdv2008.1
+ Revision: 182256
- Rebuild against new qt4 changes

* Sat Mar 01 2008 Helio Chissini de Castro <helio@mandriva.com> 3:4.0.2-1mdv2008.1
+ Revision: 177440
- New upstream bugfix release 4.0.2
- Update to 4.0.1

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description-line-too-long

* Sat Jan 12 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3:4.0.0-4mdv2008.1
+ Revision: 150221
- Fix File list
- ensure major correctness
  Obsolete old libaudiocdplugins

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update for final stable 4.0.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.97.1-0.752124.1mdv2008.1
+ Revision: 137401
- New snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.97.1-0.747536.3mdv2008.1
+ Revision: 119191
- New snapshot

* Fri Nov 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.96.1-0.742562.3mdv2008.1
+ Revision: 114128
- New snapshot

* Sun Nov 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.96.1-0.738567.3mdv2008.1
+ Revision: 111932
- Obsoletes noatun

* Fri Nov 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.96.1-0.738567.2mdv2008.1
+ Revision: 111681
- Fix File list ( only list devel files on devel package )

* Fri Nov 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.96.1-0.738567.1mdv2008.1
+ Revision: 111531
- New snapshot

* Sat Nov 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.96.0-0.736535.1mdv2008.1
+ Revision: 109647
- KDE4 RC1

* Mon Nov 12 2007 Funda Wang <fundawang@mandriva.org> 3:3.95.2-0.734645.2mdv2008.1
+ Revision: 108273
- fix conflicts with oxygen-icon-theme (kde bug#151419)

* Sun Nov 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.95.2-0.734645.1mdv2008.1
+ Revision: 107528
- New snapshot

* Fri Nov 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.95.1-0.731768.1mdv2008.1
+ Revision: 104991
- New snapshot post Rc1

* Tue Oct 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.94.1-0.730673.2mdv2008.1
+ Revision: 103696
- New snashot

* Thu Oct 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.94.1-0.728842.2mdv2008.1
+ Revision: 102139
- Add conflict to ease upgrade

* Thu Oct 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.94.1-0.728842.1mdv2008.1
+ Revision: 102070
- New snapshot

* Sat Oct 20 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3:3.94.0-0.726889.1mdv2008.1
+ Revision: 100527
- Kde 4 Beta 3
  Noatun does not exist anymore

* Mon Sep 24 2007 Tiago Salem <salem@mandriva.com.br> 3:3.93.0-0.714637.2mdv2008.0
+ Revision: 92574
- Changing libnoatun mklibname to 5

* Fri Sep 21 2007 Tiago Salem <salem@mandriva.com.br> 3:3.93.0-0.714637.1mdv2008.0
+ Revision: 92033
- Fixing BuildRequires
- Changing Obsoletes tags and updating tarball to a newer revision.

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with revision 711009

* Tue Sep 04 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.93.0-1mdv2008.0
+ Revision: 79334
- Update with revision 708071
- Update with revision 706280

* Thu Aug 30 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.92.0-0.706280.1mdv2008.0
+ Revision: 75112
- Update with revision 706280

* Wed Aug 29 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.92.0-0.705729.1mdv2008.0
+ Revision: 73310
- Update with revision 705729

* Tue Aug 28 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.92.0-0.705308.1mdv2008.0
+ Revision: 72369
- Update with revision 705308

* Sat Aug 25 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.92.0-0.703342.1mdv2008.0
+ Revision: 71091
- Update with revision 703342
- Update with revision 703342

* Wed Aug 08 2007 Helio Chissini de Castro <helio@mandriva.com> 2:3.92.0-0.697095.1mdv2008.0
+ Revision: 60471
- Update for revision 697095
- Fix build requires
- Update to revision 697095
- Finished first kdemultimedia4 package with revision 693475

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - 3.91
      Change spec to follow our KDE layout

* Thu May 03 2007 Laurent Montel <lmontel@mandriva.org> 1:3.80.3-0.20070502.2mdv2008.0
+ Revision: 21481
- increase version
- new snapshot
- Fix buildrequires
- new snapshot


* Wed Feb 28 2007 Laurent Montel <lmontel@mandriva.com> 3.80.3-0.20070228.1mdv2007.1
+ Revision: 127140
- new snapshot
- 3.80.3
- Fix spec file
- new snapshot
- new snapshot
- update

* Fri Jan 12 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070109.2mdv2007.1
+ Revision: 107807
- Fix buildrequires
- Import kdemultimedia4

* Mon Jan 08 2007 Laurent Montel <lmontel@mandriva.com> 1:3.5.4-5mdv2007.0
- kde 3.0

